export const groupByProjects = (arr) => {
  if (!arr) {
    return {};
  }
  const criteria = "project";

  return arr.reduce(function (acc, currentValue) {
    const currentValueElement = currentValue[criteria] || "inbox";

    if (!acc[currentValueElement]) {
      acc[currentValueElement] = [];
    }
    acc[currentValueElement].push(currentValue);
    return acc;
  }, {});
};
